Severity: moderate

    Open Redirect

    url-parse

    Overview

    Overview

    Affected versions of npm url-parse are vulnerable to URL Redirection to Untrusted Site.

    Impact

    Depending on library usage and attacker intent, impacts may include allow/block list bypasses, SSRF attacks, open redirects, or other undesired behavior.

    Remediation

    Upgrade to version 1.5.2 or later

    Resources

    Have content suggestions? Visit npmjs.com/support.

    Advisory timeline

    1. published

      Advisory Published
      Aug 10th, 2021
    2. reported

      Reported by Anonymous
      Aug 10th, 2021